=== debian/control ===
Source: ignition-sensors6
Standards-Version: 3.9.8
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: optional
Build-Depends: cmake,
               doxygen,
               pkg-config,
               debhelper (>= 9),
               libignition-cmake2-dev,
               libignition-common4-events-dev,
               libignition-common4-profiler-dev,
               libignition-math6-dev (>= 6.6.0),
               libignition-msgs8-dev,
               libignition-plugin-dev,
               libignition-rendering6-ogre1-dev,
               libignition-rendering6-ogre2-dev,
               libignition-transport11-core-dev,
               libignition-tools-dev,
               libsdformat12-dev
Vcs-Browser: https://github.com/ignition-release/ign-sensors6-release
Vcs-Git: https://github.com/ignition-release/ign-sensors6-release
Homepage: http://ignitionrobotics.org/

Package: libignition-sensors6-core-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev,
         libignition-common4-events-dev,
         libignition-math6-dev (>= 6.6.0),
         libignition-msgs8-dev,
         libignition-plugin-dev,
         libignition-rendering6-ogre1-dev,
         libignition-rendering6-ogre2-dev,
         libignition-transport11-core-dev,
         libignition-tools-dev,
         libsdformat12-dev,
         libignition-sensors6 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Ignition sensors2 classes and functions for robot apps - Development files
  Ignition sensors2 is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.

Package: libignition-sensors6
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ignition sensors2 classes and functions for robot apps - Shared library
  Ignition sensors2 is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.

Package: libignition-sensors6-air-pressure-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev,
         libignition-common4-events-dev,
         libignition-sensors6-core-dev,
         libsdformat12-dev,
         libignition-sensors6-air-pressure (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Ignition sensors2 classes and functions for robot apps - Dev files air-pressure
  Ignition sensors2 is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Development files for air-pressure sensor

Package: libignition-sensors6-air-pressure
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ignition sensors2 classes and functions for robot apps - Lib air-pressure
  Ignition sensors2 is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Shared library for air-pressure sensor

Package: libignition-sensors6-altimeter-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev,
         libignition-common4-events-dev,
         libignition-sensors6-core-dev,
         libsdformat12-dev,
         libignition-sensors6-altimeter (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Ignition sensors2 classes and functions for robot apps - Dev files altimeter
  Ignition sensors2 is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Development files for altimeter sensor

Package: libignition-sensors6-altimeter
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ignition sensors2 classes and functions for robot apps - Lib altimeter
  Ignition sensors2 is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Shared library for altimeter sensor


Package: libignition-sensors6-camera-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev,
         libignition-common4-events-dev,
         libignition-math6-dev (>= 6.6.0),
         libignition-msgs8-dev,
         libignition-transport11-core-dev,
         libignition-sensors6-core-dev,
         libsdformat12-dev,
         libignition-sensors6-camera (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Ignition sensors2 classes and functions for robot apps - Dev files Camera
  Ignition sensors2 is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Development files for Camera sensor

Package: libignition-sensors6-camera
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ignition sensors2 classes and functions for robot apps - Lib Camera
  Ignition sensors2 is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Shared library for Camera sensor

Package: libignition-sensors6-depth-camera-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev,
         libignition-common4-events-dev,
         libignition-math6-dev (>= 6.6.0),
         libignition-msgs8-dev,
         libignition-transport11-core-dev,
         libignition-sensors6-core-dev,
         libignition-sensors6-camera-dev,
         libsdformat12-dev,
         libignition-sensors6-depth-camera (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Ignition sensors2 classes and functions for robot apps - Dev files depth-camera
  Ignition sensors2 is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Development files for depth-camera sensor

Package: libignition-sensors6-depth-camera
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ignition sensors2 classes and functions for robot apps - Lib depth-camera
  Ignition sensors2 is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  . Shared library for depth-camera sensor

Package: libignition-sensors6-force-torque-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev,
         libignition-common4-events-dev,
         libignition-math6-dev (>= 6.6.0),
         libignition-sensors6-core-dev,
         libsdformat12-dev,
         libignition-sensors6-force-torque (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Ignition sensors2 classes and functions for robot apps - Dev files force-torque
  Ignition sensors2 is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Development files for force-torque sensor

Package: libignition-sensors6-force-torque
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ignition sensors2 classes and functions for robot apps - Lib force-torque
  Ignition sensors2 is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Shared library for force-torque sensor

Package: libignition-sensors6-imu-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev,
         libignition-common4-events-dev,
         libignition-math6-dev (>= 6.6.0),
         libignition-sensors6-core-dev,
         libsdformat12-dev,
         libignition-sensors6-imu (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Ignition sensors2 classes and functions for robot apps - Dev files imu
  Ignition sensors2 is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Development files for imu sensor

Package: libignition-sensors6-imu
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ignition sensors2 classes and functions for robot apps - Lib imu
  Ignition sensors2 is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Shared library for imu sensor


Package: libignition-sensors6-lidar-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev,
         libignition-common4-events-dev,
         libignition-math6-dev (>= 6.6.0),
         libignition-msgs8-dev,
         libignition-transport11-core-dev,
         libignition-sensors6-core-dev,
         libsdformat12-dev,
         libignition-sensors6-lidar (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Ignition sensors2 classes and functions for robot apps - Dev files lidar
  Ignition sensors2 is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Development files for lidar sensor

Package: libignition-sensors6-lidar
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ignition sensors2 classes and functions for robot apps - Lib lidar
  Ignition sensors2 is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Shared library for lidar sensor

Package: libignition-sensors6-gpu-lidar-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev,
         libignition-common4-events-dev,
         libignition-math6-dev (>= 6.6.0),
         libignition-msgs8-dev,
         libignition-transport11-core-dev,
         libignition-sensors6-core-dev,
         libignition-sensors6-lidar-dev,
         libsdformat12-dev,
         libignition-sensors6-gpu-lidar (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Ignition sensors2 classes and functions for robot apps - Dev files gpu-lidar
  Ignition sensors2 is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Development files for gpu-lidar sensor

Package: libignition-sensors6-gpu-lidar
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ignition sensors2 classes and functions for robot apps - Lib gpu-lidar
  Ignition sensors2 is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Shared library for gpu-lidar sensor

Package: libignition-sensors6-logical-camera-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev,
         libignition-common4-events-dev,
         libignition-math6-dev (>= 6.6.0),
         libignition-msgs8-dev,
         libignition-transport11-core-dev,
         libignition-sensors6-core-dev,
         libsdformat12-dev,
         libignition-sensors6-logical-camera (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Ignition sensors2 classes and functions for robot apps - Dev files logical-camera
  Ignition sensors2 is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Development files for logical-camera sensor

Package: libignition-sensors6-logical-camera
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ignition sensors2 classes and functions for robot apps - Lib logical-camera
  Ignition sensors2 is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Shared library for logical-camera sensor
