=== src/CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,8 @@
   Sensor.cc
   Noise.cc
   GaussianNoiseModel.cc
+  Distortion.cc
+  BrownDistortionModel.cc
   PointCloudUtil.cc
   SensorFactory.cc
   SensorTypes.cc
@@ -14,6 +16,8 @@
   RenderingEvents.cc
   ImageGaussianNoiseModel.cc
   ImageNoise.cc
+  ImageBrownDistortionModel.cc
+  ImageDistortion.cc
 )
 
 set (gtest_sources
@@ -27,6 +31,7 @@
   # TODO(louise) Remove this once warnings are suppressed in ign-rendering
   set_source_files_properties(
       ${rendering_sources}
+      SegmentationCameraSensor.cc
     COMPILE_FLAGS "/wd4251"
   )
 endif()
@@ -120,6 +125,9 @@
 set(air_pressure_sources AirPressureSensor.cc)
 ign_add_component(air_pressure SOURCES ${air_pressure_sources} GET_TARGET_NAME air_pressure_target)
 
+set(navsat_sources NavSatSensor.cc)
+ign_add_component(navsat SOURCES ${navsat_sources} GET_TARGET_NAME navsat_target)
+
 set(rgbd_camera_sources RgbdCameraSensor.cc)
 ign_add_component(rgbd_camera SOURCES ${rgbd_camera_sources} GET_TARGET_NAME rgbd_camera_target)
 target_compile_definitions(${rgbd_camera_target} PUBLIC RgbdCameraSensor_EXPORTS)
@@ -133,6 +141,15 @@
 set(thermal_camera_sources ThermalCameraSensor.cc)
 ign_add_component(thermal_camera SOURCES ${thermal_camera_sources} GET_TARGET_NAME thermal_camera_target)
 target_link_libraries(${thermal_camera_target}
+  PRIVATE
+    ${camera_target}
+    ignition-msgs${IGN_MSGS_VER}::ignition-msgs${IGN_MSGS_VER}
+    ignition-transport${IGN_TRANSPORT_VER}::ignition-transport${IGN_TRANSPORT_VER}
+)
+
+set(boundingbox_camera_sources BoundingBoxCameraSensor.cc)
+ign_add_component(boundingbox_camera SOURCES ${boundingbox_camera_sources} GET_TARGET_NAME boundingbox_camera_target)
+target_link_libraries(${boundingbox_camera_target}
   PRIVATE
     ${camera_target}
     ignition-msgs${IGN_MSGS_VER}::ignition-msgs${IGN_MSGS_VER}
