=== test/integration/CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,15 @@
 set(TEST_TYPE "INTEGRATION")
 
 set(dri_tests
+  boundingbox_camera.cc
   camera.cc
   depth_camera.cc
+  distortion_camera.cc
   gpu_lidar_sensor.cc
   rgbd_camera.cc
+  segmentation_camera.cc
   thermal_camera.cc
-  segmentation_camera.cc
+  triggered_camera.cc
 )
 
 set(tests
@@ -15,6 +18,7 @@
   force_torque.cc
   logical_camera.cc
   magnetometer.cc
+  navsat.cc
   imu.cc
 )
 
@@ -35,6 +39,7 @@
       ${dri_tests}
     LIB_DEPS
       ${IGNITION-TRANSPORT_LIBRARIES}
+      ${PROJECT_LIBRARY_TARGET_NAME}-boundingbox_camera
       ${PROJECT_LIBRARY_TARGET_NAME}-depth_camera
       ${PROJECT_LIBRARY_TARGET_NAME}-camera
       ${PROJECT_LIBRARY_TARGET_NAME}-lidar
@@ -55,5 +60,6 @@
     ${PROJECT_LIBRARY_TARGET_NAME}-magnetometer
     ${PROJECT_LIBRARY_TARGET_NAME}-imu
     ${PROJECT_LIBRARY_TARGET_NAME}-force_torque
+    ${PROJECT_LIBRARY_TARGET_NAME}-navsat
 )
