=== debian/changelog ===
ignition-sensors6 (6.6.0-3~focal) focal; urgency=medium

  * ignition-sensors6 6.6.0-3 release

 -- Louise Poubel <louise@openrobotics.org>  Tue, 16 Aug 2022 16:01:08 -0700

ignition-sensors6 (6.6.0-2~focal) focal; urgency=medium

  * ignition-sensors6 6.6.0-2 release

 -- Louise Poubel <louise@openrobotics.org>  Fri, 17 Jun 2022 15:27:54 -0700

ignition-sensors6 (6.6.0-1~focal) focal; urgency=medium

  * ignition-sensors6 6.6.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Fri, 17 Jun 2022 10:53:20 -0700

ignition-sensors6 (6.5.0-1~focal) focal; urgency=medium

  * ignition-sensors6 6.5.0-1 release

 -- Michael Carroll <michael@openrobotics.org>  Wed, 25 May 2022 08:35:18 -0500

ignition-sensors6 (6.4.0-1~focal) focal; urgency=medium

  * ignition-sensors6 6.4.0-1 release

 -- Ian Chen <ichen@openrobotics.org>  Fri, 13 May 2022 18:05:59 -0700

ignition-sensors6 (6.3.0-2~focal) focal; urgency=medium

  * ignition-sensors6 6.3.0-2 release

 -- Louise Poubel <louise@openrobotics.org>  Fri, 08 Apr 2022 15:52:05 -0700

ignition-sensors6 (6.3.0-1~focal) focal; urgency=medium

  * ignition-sensors6 6.3.0-1 release

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 04 Apr 2022 19:07:30 -0700

ignition-sensors6 (6.2.0-1~focal) focal; urgency=medium

  * ignition-sensors6 6.2.0-1 release

 -- Ian Chen <ichen@openrobotics.org>  Tue, 29 Mar 2022 15:09:46 -0700

ignition-sensors6 (6.1.0-2~focal) focal; urgency=medium

  * ignition-sensors6 6.1.0-2 release

 -- Louise Poubel <louise@openrobotics.org>  Tue, 04 Jan 2022 18:08:43 -0800

ignition-sensors6 (6.1.0-1~focal) focal; urgency=medium

  * ignition-sensors6 6.1.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Tue, 04 Jan 2022 17:14:23 -0800

ignition-sensors6 (6.0.1-1~focal) focal; urgency=medium

  * ignition-sensors6 6.0.1-1 release

 -- Nate Koenig <nate@openrobotics.org>  Fri, 12 Nov 2021 11:17:25 -0700

ignition-sensors6 (6.0.0-1~focal) focal; urgency=medium

  * ignition-sensors6 6.0.0-1 release

 -- Ian Chen <ichen@openrobotics.org>  Thu, 30 Sep 2021 18:22:05 -0700

ignition-sensors6 (6.0.0~pre1-4~focal) focal; urgency=medium

  * ignition-sensors6 6.0.0~pre1-4 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 22 Sep 2021 13:46:12 -0700

ignition-sensors6 (6.0.0~pre1-3~focal) focal; urgency=medium

  * ignition-sensors6 6.0.0~pre1-3 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 22 Sep 2021 12:57:21 -0700

ignition-sensors6 (6.0.0~pre1-2~focal) focal; urgency=medium

  * ignition-sensors6 6.0.0~pre1-2 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 22 Sep 2021 11:46:49 -0700

ignition-sensors6 (6.0.0~pre1-1~focal) focal; urgency=medium

  * ignition-sensors6 6.0.0~pre1-1 release

 -- Michael Carroll <michael@openrobotics.org>  Wed, 22 Sep 2021 11:18:01 -0500

ignition-sensors6 (5.999.999-1~focal) focal; urgency=medium

  * Stub to be removed after first entry

 -- Louise Poubel <louise@openrobotics.org>  Thu, 01 Apr 2021 15:27:16 -0700
